Subject: bug#44020: 28.0.50; Prefer selection of colour emoji fonts?

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Oct 2020 21:52:19 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Thu, 15 Oct 2020 20:10:44 +0200
> 
> 
> If I start "emacs -Q" and load a file with this character:
> 
> 🎉
> 
> Emacs shows that as a black-and-white symbol using the Symbola font.
> 
> If I then say
> 
> (set-fontset-font t 'symbol "Noto Color Emoji")
> (set-fontset-font t 'symbol "Symbola" nil 'append)
> 
> I get a colourful party popper.
> 
> It'd be nice if this worked out of the box.

AFAIR, Robert Pluim worked on better support for Emoji display; that
needs a few more tweaks and importing one more file from the UCD, to
support Emoji sequences.  I hope this will be ready some time soon.
Robert?